package contract_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type ContractFaceDownloadZipRequest struct {
	// <ext>core:true;format:string;deprecated:false</ext> 【电子签约文件ID】电子签约文件ID。contractID和bizId必填一个
	ContractId *int64 `json:"contractId,omitempty"`
	// <ext>core:true;format:string;deprecated:false</ext> 【第三方系统文件ID】第三方系统文件ID，由调用方生成。contractID和bizId必填一个
	BizId string `json:"bizId,omitempty"`
}

func (obj ContractFaceDownloadZipRequest) GetUrl() string {
	return "/contract/face/download/zip"
}

func (obj ContractFaceDownloadZipRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("contractId", obj.ContractId)
	parameter.AddParam("bizId", obj.BizId)
	return parameter
}
